Name:		fedora-release-notes
Version:	5.91
Release:	7
Summary:	Release Notes for Fedora Core %{version}
URL:		http://fedoraproject.org/wiki/Docs/Beats

Group:		System Environment/Base
License:	Distributable
Source0:	fedora-release-notes-%{version}.tar.gz
Source1:	indexhtml-head
Source2:	indexhtml-foot
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	desktop-file-utils
Provides:	indexhtml = %{version}-%{release}
Obsoletes:	indexhtml < 9-3

%description 
These are the official Release Notes for Fedora Core %{version},
written and edited by the Fedora community.  For more
information on the Release Notes process or how you can
contribute, refer to the Release Notes HOWTO located at
http://fedoraproject.org/wiki/Docs/Beats/HowTo.

%prep
%setup -q


%build
cat %{SOURCE1} > index.html
sed 's/.*<div class="article"/<div class="article"/g' \
	RELEASE-NOTES-en_US.html >> index.html
cat %{SOURCE2} >> index.html
sed -i 's/@RELEASE@/%{version}/g' about-gnome.desktop
sed -i 's/@DATE@/%(date +"%%Y-%%m-%%d")/g;s/@RELEASE@/%{version}/g' about-fedora.omf


%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT%{_defaultdocdir}/HTML
install -m 644 index.html fedora.css $RPM_BUILD_ROOT%{_defaultdocdir}/HTML
install -m 644 README-Accessibility $RPM_BUILD_ROOT%{_defaultdocdir}/HTML
for DIR in css img stylesheet-images ; do
  install -m 755 -d $RPM_BUILD_ROOT%{_defaultdocdir}/HTML/$DIR
  find $DIR -type f -exec install -m 644 {} $RPM_BUILD_ROOT%{_defaultdocdir}/HTML/$DIR \;
done
for F in RELEASE-NOTES-*.html; do
  install -m 755 -D $F $RPM_BUILD_ROOT%{_defaultdocdir}/HTML/$F
done
find about/ -type f -exec install -m 644 -D {} $RPM_BUILD_ROOT%{_defaultdocdir}/fedora-release-notes-%{version}/{} \;
install -m 644 -D about-fedora.omf $RPM_BUILD_ROOT%{_datadir}/omf/fedora-release-notes/about-fedora.omf
install -m 644 -D about-gnome.desktop $RPM_BUILD_ROOT%{_datadir}/applications/about-fedora.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x /usr/bin/scrollkeeper-update ]; then scrollkeeper-update -q -o %{_datadir}/omf/%{name}; fi
if [ -x /usr/bin/update-desktop-database ]; then update-desktop-database &> /dev/null; fi

%postun
if [ -x /usr/bin/scrollkeeper-update ]; then scrollkeeper-update -q; fi
if [ -x /usr/bin/update-desktop-database ]; then update-desktop-database &> /dev/null; fi


%files
%defattr(-,root,root,-)
%{_defaultdocdir}/HTML
%{_defaultdocdir}/fedora-release-notes-%{version}/about
%{_datadir}/applications/about-fedora.desktop
%{_datadir}/omf/fedora-release-notes/about-fedora.omf


%changelog
* Fri Aug  4 2006 Paul W. Frields <stickster@gmail.com> - 5.91-7
- Put About document in proper directory

* Wed Aug  2 2006 Jesse Keating <jkeating@redhat.com> - 5.91-6
- bump

* Wed Aug  2 2006 Paul W. Frields <stickster@gmail.com> - 5.91-5
- Add README-Accessibility (moved from fedora-release)

* Wed Jul 26 2006 Paul W. Frields <stickster@gmail.com> - 5.91-4
- Process paths correctly (#200266)
- Package standalone HTML

* Sun Jul 23 2006 Jesse Keating <jkeating@redhat.com> - 5.91-3
- Only use tabs
- Version the indexhtml provides/obsoletes
- Cleanup post and postun scriptlets
- Don't require fedora-release, fedora-release requires us.
- Add a URL tag

* Sun Jul 16 2006 Paul W. Frields <stickster@gmail.com> - 5.91-1
- Initial release for Fedora Core 6 test2.

